import { type SidebarOptions, type SidebarPanelSpec, type DockPosition, toggleSidebarCommand, toggleSidebarEffect, sidebarPanel, updateSidebarOptionsEffect, setActivePanelEffect } from './sidebar/index';
import { type Extension } from '@codemirror/state';
interface SidebarExtensionOptions {
    language?: Extension;
    sidebarOptions?: SidebarOptions;
    toggleKeymaps?: {
        mac?: string;
        win?: string;
    };
}
export declare function sidebarExtension(options?: SidebarExtensionOptions): Extension[];
interface AISidebarOptions extends Omit<SidebarOptions, 'id' | 'dock'> {
    toggleKeymaps?: {
        mac?: string;
        win?: string;
    };
}
export declare function createAISidebar(options?: AISidebarOptions): Extension[];
export type { SidebarPanelSpec, SidebarOptions, DockPosition, AISidebarOptions };
export { toggleSidebarCommand, toggleSidebarEffect, sidebarPanel, updateSidebarOptionsEffect, setActivePanelEffect, };
